<?php
require_once './Control/ControlProduto.php';
require_once './Util/formAjax/FormAjax.php';
extract($_POST);
if (!isset($lang))
{
	$lang = 'pt';
} else 
{
	if ($lang == 'undefined')
	{
		$lang = 'pt';
	}
}
$controlProduto = new ControlProduto();
if ($acao == 'inserir')
{
        $produto = $controlProduto->pegarUmProduto($pk);
        echo 'Novo registro para galeria: <b>' . $produto->getNome() . '</b>';
	$produtoDescricao = new Produtodescricao();
        $produtoDescricao->setProdutoid($pk);
        $pk = '';
} else
{
	$produtoDescricao = $controlProduto->pegarUmProdutoDescricao($pk);
}
$produtoDescricao->lang = $lang;
$arquivoGrid = 'adm_produtoDescricaoGrid.php';
?>
<form name="frmDescricao" id="frmDescricao" action="adm_produtoDescricaoCMD.php" method="post">
    <input id="hacao" name="acao" type="hidden" value="<?php echo $acao?>">
    <input id="lang" name="lang" type="hidden" value="<?php echo $lang?>">
    <input id="produtoid" name="produtoid" type="hidden" value="<?php echo $produtoDescricao->getProdutoid()?>">
    <input id="arqFrm" name="arqFrm" type="hidden" value="<?php echo end(explode("/", $_SERVER['PHP_SELF']))?>">
	<fieldset>
		<label>Especifiçãoes</label>
                <?php echo Idiomas::ComboSelecionarIdiomaPainelControle($acao, $pk, $lang, 'fnIdiomaDivDescricao');?>
		<section><label for="dpk">ID</label>
                    <div><input  readonly="true" type="text" id="dpk" name="dpk" value="<?php echo $produtoDescricao->getProdutodescricaoid(); ?>" placeholder="Este campo é gerido de forma automática."></div>
		</section>
                <section><label for="dNome">Nome</label>
                    <div><input type="text" id="dNome" name="dNome" required value="<?php echo $produtoDescricao->gNome(); ?>"></div>
		</section>
                <section><label for="dValor">Valor</label>
                    <div><input type="text" id="dValor" name="dValor" required value="<?php echo $produtoDescricao->gValor(); ?>"></div>
		</section>
                <section>
                    <div><button onclick="mostrarArquivoDados('<?php echo $arquivoGrid; ?>','#divDescricao','pk=<?php echo $produtoDescricao->getProdutoid();?>');" >Cancelar</button><button id="salvar" class="submit" name="submitbuttonname" value="submitbuttonvalue">Salvar</button></div>
		</section>
	</fieldset>
</form>
<?php
      FormAjax::javascriptTrocarIdioma('adm_produtoDescricaoForm.php','#divDescricao', 'fnIdiomaDivDescricao');
      FormAjax::PrepararFormAjax('#frmDescricao');
?>